org.apache.maven.scm.provider.synergy.consumer

## Class SynergyCreateTaskConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.synergy.consumer.SynergyCreateTaskConsumer

- All Implemented Interfaces:
    org.codehaus.plexus.util.cli.StreamConsumer

      public class SynergyCreateTaskConsumer
      extends AbstractConsumer

  Version:
    $Id: SynergyCreateTaskConsumer.java 691810 2008-09-03 22:38:28Z vsiveton $
  Author:
    Julien Henry

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynergyCreateTaskConsumer(ScmLogger logger)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consumeLine(String line)` Task 70 created.
    `int` | `getTask()`

    - ### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

      `getLogger, parseDate, parseDate, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynergyCreateTaskConsumer

          public SynergyCreateTaskConsumer(ScmLogger logger)

  - ### Method Detail

    - #### getTask

          public int getTask()

      Returns:
        the entries

    - #### consumeLine

          public void consumeLine(String line)

      Task 70 created.
      The default task is set to:
      70: Maven SCM Synergy provider: adding file(s) to project TestMaven~1

Copyright © 2003–2015. All rights reserved.